Bug 1622649 - [RHEL7] Some of the Posix compliance tests are failing on gluster mount
Summary: [RHEL7] Some of the Posix compliance tests are failing on gluster mount
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: posix
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 1
Assignee: Raghavendra Bhat
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On: 1610966
Blocks: 1632119
TreeView+ depends on / blocked
 
Reported: 2018-08-27 16:37 UTC by Manisha Saini
Modified: 2018-10-31 08:47 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.12.2-20
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1632119 (view as bug list)
Environment:
Last Closed: 2018-10-31 08:46:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3432 None None None 2018-10-31 08:47:58 UTC

Description Manisha Saini 2018-08-27 16:37:39 UTC
Description of problem:

Some of the posix compliance tests are failing on gluster mount 

========
Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/chmod/00.t    (Wstat: 0 Tests: 106 Failed: 2)
  Failed tests:  31, 39
/home/ntfs-3g-pjd-fstest/tests/mkdir/00.t    (Wstat: 0 Tests: 36 Failed: 3)
  Failed tests:  30-32
/home/ntfs-3g-pjd-fstest/tests/mknod/00.t    (Wstat: 0 Tests: 36 Failed: 5)
  Failed tests:  30-34
/home/ntfs-3g-pjd-fstest/tests/mknod/01.t    (Wstat: 0 Tests: 27 Failed: 10)
  Failed tests:  12-21
/home/ntfs-3g-pjd-fstest/tests/mknod/02.t    (Wstat: 0 Tests: 12 Failed: 6)
  Failed tests:  5-7, 9-11
/home/ntfs-3g-pjd-fstest/tests/mknod/03.t    (Wstat: 0 Tests: 12 Failed: 9)
  Failed tests:  1-3, 5-7, 9-11
/home/ntfs-3g-pjd-fstest/tests/mknod/08.t    (Wstat: 0 Tests: 35 Failed: 8)
  Failed tests:  16-19, 21-24
/home/ntfs-3g-pjd-fstest/tests/mknod/11.t    (Wstat: 0 Tests: 28 Failed: 24)
  Failed tests:  2-6, 8-19, 21-27
/home/ntfs-3g-pjd-fstest/tests/symlink/00.t  (Wstat: 0 Tests: 14 Failed: 2)
  Failed tests:  11-12
/home/ntfs-3g-pjd-fstest/tests/utime/02.t    (Wstat: 0 Tests: 30 Failed: 4)
  Failed tests:  9-10, 13-14
========


Version-Release number of selected component (if applicable):

# rpm -qa | grep gluster
gluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
glusterfs-fuse-3.12.2-17.el7rhgs.x86_64
libvirt-daemon-driver-storage-gluster-3.9.0-14.el7_5.7.x86_64
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
python2-gluster-3.12.2-17.el7rhgs.x86_64
nfs-ganesha-gluster-2.5.5-10.el7rhgs.x86_64
glusterfs-client-xlators-3.12.2-17.el7rhgs.x86_64
glusterfs-rdma-3.12.2-17.el7rhgs.x86_64
glusterfs-3.12.2-17.el7rhgs.x86_64
glusterfs-cli-3.12.2-17.el7rhgs.x86_64
glusterfs-ganesha-3.12.2-17.el7rhgs.x86_64
vdsm-gluster-4.19.43-2.3.el7rhgs.noarch
glusterfs-libs-3.12.2-17.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-17.el7rhgs.x86_64
glusterfs-api-3.12.2-17.el7rhgs.x86_64
glusterfs-debuginfo-3.12.2-14.el7rhgs.x86_64
glusterfs-server-3.12.2-17.el7rhgs.x86_64




How reproducible:
2/2


Steps to Reproduce:
1.Create 6 x 3 Distributed-Replicate Volume
2.Mount the volume on gluster client
3.Run posix compliance test suit

Actual results:


Expected results:


Additional info:

Full detailed test details

-----------
# prove -r /home/ntfs-3g-pjd-fstest/ 
/home/ntfs-3g-pjd-fstest/tests/chflags/00.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/01.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/02.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/03.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/04.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/05.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/06.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/07.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/08.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/09.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/10.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/11.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/12.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chflags/13.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/chmod/00.t ...... Failed 2/106 subtests 
/home/ntfs-3g-pjd-fstest/tests/chmod/01.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chmod/02.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chmod/03.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/chmod/04.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chmod/05.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/chmod/06.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chmod/07.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/chmod/08.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chmod/09.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chmod/10.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chmod/11.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/chown/00.t ...... ok       
/home/ntfs-3g-pjd-fstest/tests/chown/01.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chown/02.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chown/03.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/chown/04.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chown/05.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/chown/06.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chown/07.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/chown/08.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chown/09.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/chown/10.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/ftruncate/00.t .. ok     
/home/ntfs-3g-pjd-fstest/tests/ftruncate/13.t .. ok   
/home/ntfs-3g-pjd-fstest/tests/link/00.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/link/01.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/02.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/link/03.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/link/04.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/05.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/06.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/link/07.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/link/08.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/link/09.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/10.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/link/11.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/12.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/13.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/14.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/15.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/16.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/link/17.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/mkdir/00.t ...... Failed 3/36 subtests 
/home/ntfs-3g-pjd-fstest/tests/mkdir/01.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mkdir/02.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mkdir/03.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/mkdir/04.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mkdir/05.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/mkdir/06.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/mkdir/07.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mkdir/08.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mkdir/09.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mkdir/10.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/mkdir/11.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mkdir/12.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mkfifo/00.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/mkfifo/01.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/mkfifo/02.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/mkfifo/03.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/mkfifo/04.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/mkfifo/05.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/mkfifo/06.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/mkfifo/07.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/mkfifo/08.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/mkfifo/09.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/mkfifo/10.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/mkfifo/11.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/mkfifo/12.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/mknod/00.t ...... Failed 5/36 subtests 
/home/ntfs-3g-pjd-fstest/tests/mknod/01.t ...... Failed 10/27 subtests 
/home/ntfs-3g-pjd-fstest/tests/mknod/02.t ...... Failed 6/12 subtests 
/home/ntfs-3g-pjd-fstest/tests/mknod/03.t ...... Failed 9/12 subtests 
/home/ntfs-3g-pjd-fstest/tests/mknod/04.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mknod/05.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/mknod/06.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/mknod/07.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mknod/08.t ...... Failed 8/35 subtests 
/home/ntfs-3g-pjd-fstest/tests/mknod/09.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mknod/10.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/mknod/11.t ...... 8/28 stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
/home/ntfs-3g-pjd-fstest/tests/mknod/11.t ...... 21/28 stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
/home/ntfs-3g-pjd-fstest/tests/mknod/11.t ...... Failed 24/28 subtests 
/home/ntfs-3g-pjd-fstest/tests/open/00.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/open/01.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/02.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/03.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/open/04.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/05.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/open/06.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/open/07.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/open/08.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/09.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/10.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/11.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/12.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/13.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/14.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/15.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/16.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/17.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/18.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/19.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/20.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/21.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/open/22.t ....... ok     
/home/ntfs-3g-pjd-fstest/tests/open/23.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/00.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/rename/01.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/02.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/rename/03.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/04.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/rename/05.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/rename/06.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/07.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/08.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/09.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/rename/10.t ..... ok       
/home/ntfs-3g-pjd-fstest/tests/rename/11.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/rename/12.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/13.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/rename/14.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/rename/15.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/16.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/17.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/18.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/19.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/rename/20.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/rmdir/00.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/rmdir/01.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/rmdir/02.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/rmdir/03.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/rmdir/04.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/rmdir/05.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/rmdir/06.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/rmdir/07.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/rmdir/08.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/rmdir/09.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/rmdir/10.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/rmdir/11.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/rmdir/12.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/rmdir/13.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/rmdir/14.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/rmdir/15.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/symlink/00.t .... Failed 2/14 subtests 
/home/ntfs-3g-pjd-fstest/tests/symlink/01.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/symlink/02.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/symlink/03.t .... ok     
/home/ntfs-3g-pjd-fstest/tests/symlink/04.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/symlink/05.t .... ok     
/home/ntfs-3g-pjd-fstest/tests/symlink/06.t .... ok     
/home/ntfs-3g-pjd-fstest/tests/symlink/07.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/symlink/08.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/symlink/09.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/symlink/10.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/symlink/11.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/symlink/12.t .... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/00.t ... ok     
/home/ntfs-3g-pjd-fstest/tests/truncate/01.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/02.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/03.t ... ok     
/home/ntfs-3g-pjd-fstest/tests/truncate/04.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/05.t ... ok     
/home/ntfs-3g-pjd-fstest/tests/truncate/06.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/07.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/08.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/09.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/10.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/11.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/12.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/13.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/truncate/14.t ... ok   
/home/ntfs-3g-pjd-fstest/tests/unlink/00.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/unlink/01.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/unlink/02.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/unlink/03.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/unlink/04.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/unlink/05.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/unlink/06.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/unlink/07.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/unlink/08.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/unlink/09.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/unlink/10.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/unlink/11.t ..... ok     
/home/ntfs-3g-pjd-fstest/tests/unlink/12.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/unlink/13.t ..... ok   
/home/ntfs-3g-pjd-fstest/tests/utime/00.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/utime/01.t ...... ok   
/home/ntfs-3g-pjd-fstest/tests/utime/02.t ...... Failed 4/30 subtests 
/home/ntfs-3g-pjd-fstest/tests/utime/03.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/utime/04.t ...... ok     
/home/ntfs-3g-pjd-fstest/tests/xacl/00.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/xacl/01.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/xacl/02.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/xacl/03.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/xacl/04.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/xacl/05.t ....... ok   
/home/ntfs-3g-pjd-fstest/tests/xacl/06.t ....... ok   

Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/chmod/00.t    (Wstat: 0 Tests: 106 Failed: 2)
  Failed tests:  31, 39
/home/ntfs-3g-pjd-fstest/tests/mkdir/00.t    (Wstat: 0 Tests: 36 Failed: 3)
  Failed tests:  30-32
/home/ntfs-3g-pjd-fstest/tests/mknod/00.t    (Wstat: 0 Tests: 36 Failed: 5)
  Failed tests:  30-34
/home/ntfs-3g-pjd-fstest/tests/mknod/01.t    (Wstat: 0 Tests: 27 Failed: 10)
  Failed tests:  12-21
/home/ntfs-3g-pjd-fstest/tests/mknod/02.t    (Wstat: 0 Tests: 12 Failed: 6)
  Failed tests:  5-7, 9-11
/home/ntfs-3g-pjd-fstest/tests/mknod/03.t    (Wstat: 0 Tests: 12 Failed: 9)
  Failed tests:  1-3, 5-7, 9-11
/home/ntfs-3g-pjd-fstest/tests/mknod/08.t    (Wstat: 0 Tests: 35 Failed: 8)
  Failed tests:  16-19, 21-24
/home/ntfs-3g-pjd-fstest/tests/mknod/11.t    (Wstat: 0 Tests: 28 Failed: 24)
  Failed tests:  2-6, 8-19, 21-27
/home/ntfs-3g-pjd-fstest/tests/symlink/00.t  (Wstat: 0 Tests: 14 Failed: 2)
  Failed tests:  11-12
/home/ntfs-3g-pjd-fstest/tests/utime/02.t    (Wstat: 0 Tests: 30 Failed: 4)
  Failed tests:  9-10, 13-14
Files=210, Tests=2328, 92 wallclock secs ( 0.86 usr  0.29 sys + 11.04 cusr 16.90 csys = 29.09 CPU)
Result: FAIL
-----------------

Comment 2 Manisha Saini 2018-08-27 16:39:31 UTC
chmod/00.t and mknod/03.t are expected failures

Test results on 3.3.1 gluster build

# rpm -qa | grep gluster
glusterfs-libs-3.8.4-54.15.el7.x86_64
glusterfs-3.8.4-54.15.el7.x86_64
glusterfs-fuse-3.8.4-54.15.el7.x86_64
glusterfs-client-xlators-3.8.4-54.15.el7.x86_64



Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/chmod/00.t    (Wstat: 0 Tests: 106 Failed: 2)
  Failed tests:  31, 39
/home/ntfs-3g-pjd-fstest/tests/mknod/03.t    (Wstat: 0 Tests: 12 Failed: 9)
  Failed tests:  1-3, 5-7, 9-11
Files=210, Tests=2328, 208 wallclock secs ( 3.38 usr  1.16 sys + 29.52 cusr 68.20 csys = 102.26 CPU)
Result: FAIL

Comment 3 Manisha Saini 2018-08-27 16:43:43 UTC
When only failed cases are run on gluster mount on 3.4 build- 

mkdir/00.t,mknod/00.t,/utime/02.t test is passing.


======
[root@rhs-client6 gluster]# prove -r /home/ntfs-3g-pjd-fstest/tests/mkdir/00.t 
/home/ntfs-3g-pjd-fstest/tests/mkdir/00.t .. ok     
All tests successful.
Files=1, Tests=36,  2 wallclock secs ( 0.03 usr  0.01 sys +  0.10 cusr  0.22 csys =  0.36 CPU)
Result: PASS
[root@rhs-client6 gluster]# prove -r /home/ntfs-3g-pjd-fstest/tests/mknod/00.t 
/home/ntfs-3g-pjd-fstest/tests/mknod/00.t .. ok     	
All tests successful.
Files=1, Tests=36,  2 wallclock secs ( 0.04 usr  0.00 sys +  0.11 cusr  0.23 csys =  0.38 CPU)
Result: PASS
[root@rhs-client6 gluster]# prove -r /home/ntfs-3g-pjd-fstest/tests/mknod/01.t 
/home/ntfs-3g-pjd-fstest/tests/mknod/01.t .. Failed 10/27 subtests 

Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/mknod/01.t (Wstat: 0 Tests: 27 Failed: 10)
  Failed tests:  12-21
Files=1, Tests=27,  0 wallclock secs ( 0.04 usr  0.00 sys +  0.10 cusr  0.18 csys =  0.32 CPU)
Result: FAIL
[root@rhs-client6 gluster]# prove -r /home/ntfs-3g-pjd-fstest/tests/mknod/02.t 
/home/ntfs-3g-pjd-fstest/tests/mknod/02.t .. Failed 6/12 subtests 

Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/mknod/02.t (Wstat: 0 Tests: 12 Failed: 6)
  Failed tests:  5-7, 9-11
Files=1, Tests=12,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.04 cusr  0.09 csys =  0.16 CPU)
Result: FAIL
[root@rhs-client6 gluster]# prove -r /home/ntfs-3g-pjd-fstest/tests/mknod/03.t 
/home/ntfs-3g-pjd-fstest/tests/mknod/03.t .. Failed 9/12 subtests 

Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/mknod/03.t (Wstat: 0 Tests: 12 Failed: 9)
  Failed tests:  1-3, 5-7, 9-11
Files=1, Tests=12,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.08 cusr  0.08 csys =  0.20 CPU)
Result: FAIL
[root@rhs-client6 gluster]# prove -r /home/ntfs-3g-pjd-fstest/tests/mknod/08.t 
/home/ntfs-3g-pjd-fstest/tests/mknod/08.t .. Failed 8/35 subtests 

Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/mknod/08.t (Wstat: 0 Tests: 35 Failed: 8)
  Failed tests:  16-19, 21-24
Files=1, Tests=35,  1 wallclock secs ( 0.02 usr  0.01 sys +  0.12 cusr  0.22 csys =  0.37 CPU)
Result: FAIL
[root@rhs-client6 gluster]# prove -r /home/ntfs-3g-pjd-fstest/tests/mknod/11.t 
/home/ntfs-3g-pjd-fstest/tests/mknod/11.t .. 8/28 stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
/home/ntfs-3g-pjd-fstest/tests/mknod/11.t .. 21/28 stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
stat returned -1
/home/ntfs-3g-pjd-fstest/tests/mknod/../misc.sh: line 115: [: ENOENT: integer expression expected
/home/ntfs-3g-pjd-fstest/tests/mknod/11.t .. Failed 24/28 subtests 

Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/mknod/11.t (Wstat: 0 Tests: 28 Failed: 24)
  Failed tests:  2-6, 8-19, 21-27
Files=1, Tests=28,  2 wallclock secs ( 0.03 usr  0.00 sys +  0.09 cusr  0.15 csys =  0.27 CPU)
Result: FAIL
[root@rhs-client6 gluster]# prove -r /home/ntfs-3g-pjd-fstest/tests/symlink/00.t 
/home/ntfs-3g-pjd-fstest/tests/symlink/00.t .. Failed 2/14 subtests 

Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/symlink/00.t (Wstat: 0 Tests: 14 Failed: 2)
  Failed tests:  11-12
Files=1, Tests=14,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.05 cusr  0.10 csys =  0.17 CPU)
Result: FAIL
[root@rhs-client6 gluster]# prove -r /home/ntfs-3g-pjd-fstest/tests/utime/02.t 
/home/ntfs-3g-pjd-fstest/tests/utime/02.t .. ok     
All tests successful.
Files=1, Tests=30,  1 wallclock secs ( 0.03 usr  0.00 sys +  0.09 cusr  0.20 csys =  0.32 CPU)
Result: PASS

Comment 4 Manisha Saini 2018-08-27 16:45:36 UTC
I will attach the logs shortly

Comment 11 Manisha Saini 2018-09-07 12:22:48 UTC
Marking this as regression as the issue was not seen with 3.3.1 Gluster build

Comment 18 Manisha Saini 2018-10-09 04:57:59 UTC
Verified this with

glusterfs-3.12.2-20.el7rhgs.x86_64


Test Summary Report
-------------------
/home/ntfs-3g-pjd-fstest/tests/chmod/00.t    (Wstat: 0 Tests: 106 Failed: 2)
  Failed tests:  31, 39
/home/ntfs-3g-pjd-fstest/tests/mknod/03.t    (Wstat: 0 Tests: 12 Failed: 9)
  Failed tests:  1-3, 5-7, 9-11
Files=210, Tests=2328, 148 wallclock secs ( 1.44 usr  0.58 sys + 14.26 cusr 33.29 csys = 49.57 CPU)
Result: FAIL


other then chmod/00.t and mknod/03.t test failures,which are expected,no other failures were observed.
Moving this BZ to verified state

Comment 19 Amar Tumballi 2018-10-09 05:03:47 UTC
Just curious about this statement:

> other then chmod/00.t and mknod/03.t test failures,which are expected,no other failures were observed.

IMO, it would be good to fix the scripts which makes sense for the stack, and keep it 100% successful, so you can 'automate' it. Any failure in future should be easily caught, and shouldn't be waiting for someone to test. That is possible only when we have 100% success rate with these scripts.

My recommendation is, host the same repo somewhere, and send a patch to fix these 2 failures for glusterfs, and then use that always!

Comment 21 errata-xmlrpc 2018-10-31 08:46:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3432


Note You need to log in before you can comment on or make changes to this bug.